> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat With Chatbot With Streaming

> Ask anything to your chatbot with response streaming.



## OpenAPI

````yaml /api-reference/v1.json post /v1/chatbot/chat-stream
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/chatbot/chat-stream:
    post:
      tags:
        - Chatbot
      summary: Chat With Chatbot With Streaming
      description: Ask anything to your chatbot with response streaming.
      operationId: ApiSmartAssistantV1Controller_chatSmartAssistantWithStream
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiAskSmartAssistantDto'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCompletionEvent'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '402':
          description: Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '404':
          description: Element not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiAskSmartAssistantDto:
      type: object
      properties:
        chatbotId:
          type: string
          description: The chatbot's id.
        conversation:
          description: An array of messages.
          type: array
          items:
            $ref: '#/components/schemas/ApiChatMessageDto'
      required:
        - chatbotId
        - conversation
    ApiCompletionEvent:
      type: object
      properties:
        data:
          description: The partial streaming response data.
          allOf:
            - $ref: '#/components/schemas/ApiChatPartialResponse'
        type:
          type: string
          description: >-
            The streaming event type. Values can be 'partialResponse' |
            'streamEnd' | 'error'.
        statusCode:
          type: number
          description: >-
            Error status code. (Only defined when an error occurs while
            streaming)
        message:
          type: string
          description: Error message. (Only defined when an error occurs while streaming)
        error:
          type: string
          description: >-
            Source of the error. (Only defined when an error occurs while
            streaming)
      required:
        - data
        - type
        - statusCode
        - message
        - error
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
    ApiChatMessageDto:
      type: object
      properties:
        text:
          type: string
          description: The message's text.
        fromUser:
          type: boolean
          description: If the message is from the user.
      required:
        - text
        - fromUser
    ApiChatPartialResponse:
      type: object
      properties:
        text:
          type: string
          description: The partial response's content.
      required:
        - text
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````